	Title "PIC18F452 counting program"
	list p=18F452, f=inhx32
	#include <p18f452.inc>

		ORG		00H
		GOTO 	START
		ORG		1CH
START	LFSR 	FSR0,20H
		LFSR	FSR1,30H

NEXT	MOVF	POSTINC0,W
		
		MOVWF	POSTINC1
	
		BTFSS	FSR0L,4
		GOTO	NEXT
		GOTO	START
		END